Package ru.bitel.bgbilling.modules.paymaster.server.bean

# Class TransactionManager

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<B>
ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
ru.bitel.bgbilling.modules.paymaster.server.bean.TransactionManager

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class TransactionManager
    extends AbstractTransactionManager<Transaction>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `moduleSetup`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TransactionManager​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Payment` | `addPayment​(int contractId, int paymentTypeId, java.math.BigDecimal sum, java.lang.String comment)` |
  `org.json.JSONObject` | `directPaymentComplete​(java.lang.String serverURL, java.lang.String accessToken, java.lang.String merchantId, Transaction transaction, java.lang.String secret)` |
  `Transaction` | `directPaymentInit​(java.lang.String serverURL, java.lang.String accessToken, java.lang.String merchantId, java.lang.String description, java.math.BigDecimal sum, java.lang.String secret, int contractId)` |
  `static java.lang.String` | `doSign​(java.lang.String body, java.lang.String iat, java.lang.String secret)` |
  `protected Transaction` | `getFromRS​(java.sql.ResultSet rs)` |
  `static java.util.Map<java.lang.String,​java.lang.String>` | `getToken​(java.lang.String serverURL, java.lang.String tokenCode, java.lang.String clientId, java.lang.String redirectUri, java.lang.String secret)` |
  `Transaction` | `getTransaction​(int id)` | Получение транзакции по ее коду
  `java.util.List<Transaction>` | `getTransactionList​(int contractId, java.util.Date fromDate, java.util.Date toDate)` | Получение общего списка транзакций, в зависимости от подаваемых в фильтр условий
  `void` | `searchTransactionList​(SearchResult<Transaction> searchResult, int paymasterId, int contractId)` |
  `void` | `searchTransactionList​(SearchResult<Transaction> searchResult, int paymasterId, int contractId, java.lang.String status)` |
  `protected void` | `updateImpl​(Transaction transaction)` | Добавление/Обновление данных транзакции в базе.

  ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `doConnection, doConnection, getParameter, psStatus, queryStatus, searchTransaction, searchTransaction, setConnectionTimeout, setParameter`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransactionManager

    public TransactionManager​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### searchTransactionList

    public void searchTransactionList​(SearchResult<Transaction> searchResult, int paymasterId, int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchTransactionList

    public void searchTransactionList​(SearchResult<Transaction> searchResult, int paymasterId, int contractId, java.lang.String status) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransactionList

    public java.util.List<Transaction> getTransactionList​(int contractId, java.util.Date fromDate, java.util.Date toDate) throws ru.bitel.bgbilling.common.BGException
    Получение общего списка транзакций, в зависимости от подаваемых в фильтр условий
    Parameters:
      `fromDate` - от какой даты смотреть транзакции
      `toDate` - по какую дату смотреть транзакции
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransaction

    public Transaction getTransaction​(int id) throws ru.bitel.bgbilling.common.BGException
    Получение транзакции по ее коду
    Parameters:
      `transactionId` - код транзакции
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getToken

    public static java.util.Map<java.lang.String,​java.lang.String> getToken​(java.lang.String serverURL, java.lang.String tokenCode, java.lang.String clientId, java.lang.String redirectUri, java.lang.String secret)

  - ### directPaymentInit

    public Transaction directPaymentInit​(java.lang.String serverURL, java.lang.String accessToken, java.lang.String merchantId, java.lang.String description, java.math.BigDecimal sum, java.lang.String secret, int contractId)

  - ### directPaymentComplete

    public org.json.JSONObject directPaymentComplete​(java.lang.String serverURL, java.lang.String accessToken, java.lang.String merchantId, Transaction transaction, java.lang.String secret)

  - ### doSign

    public static java.lang.String doSign​(java.lang.String body, java.lang.String iat, java.lang.String secret)

  - ### addPayment

    public Payment addPayment​(int contractId, int paymentTypeId, java.math.BigDecimal sum, java.lang.String comment)

  - ### updateImpl

    protected void updateImpl​(Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Добавление/Обновление данных транзакции в базе.
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
    Parameters:
      `transaction` - обновляемая транзакция
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected Transaction getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
    Throws:
      `java.sql.SQLException`